## cairotimeoverlay cairotimeoverlay — Overlays the time on a video stream |

## Types and Values

| GstCairoTimeOverlay

## Object Hierarchy

        GObject
        ╰── GstObject
            ╰── GstElement
                ╰── GstBaseTransform
                    ╰── GstCairoTimeOverlay

## Description

## Synopsis

### Element Information

plugin | cairo
author | David Schleef <ds@schleef.org>
class | Filter/Editor/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw-yuv, format=(fourcc)I420, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw-yuv, format=(fourcc)I420, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### GstCairoTimeOverlay

    typedef struct _GstCairoTimeOverlay GstCairoTimeOverlay;